Bug 1405995 - Enable systemd-coredump by default
Enable systemd-coredump by default
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Catanzaro
ChangeAcceptedF26, SystemWideChange
:
Depends On: 1341829 1419980
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-19 08:17 EST by Jan Kurik
Modified: 2017-03-10 12:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-10 12:28:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-12-19 08:17:29 EST
This is a tracking bug for Change: Enable systemd-coredump by default
For more details, see: https://fedoraproject.org//wiki/Changes/coredumpctl

Enable systemd-coredump by default. Core dumps will be accessible via the coredumpctl tool.
Comment 1 Michael Catanzaro 2017-02-22 14:55:41 EST
This change is fully complete.

However, it has exposed the following SELinux bugs:

 * Bug #1341829, which breaks systemd-coredump
 * Bug #1419980, which breaks ABRT

Neither coredumpctl nor ABRT will function until fixes are released. Lukas Vrabec found simple solutions for both issues, but they have not yet been released in an selinux-policy-targeted update.
Comment 2 Jan Kurik 2017-02-28 05:08:45 EST
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.
Comment 3 Fedora End Of Life 2017-02-28 05:49:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 4 Michael Catanzaro 2017-02-28 09:08:43 EST
Unfortunately this is currently non-testable due to bug #1341829 and bug #1419980. The selinux-policy-targeted maintainer, Lukas, has found easy solutions for both bugs -- they seem to be one-liner policy changes -- but has not yet released updates. I'm going to move this bug to MODIFIED anyway and let FESCo decide what to do.
Comment 5 Michael Catanzaro 2017-02-28 09:16:11 EST
I guess I'm not supposed to do that, since it's not testable.
Comment 6 Paul W. Frields 2017-03-03 16:53:54 EST
Bug 1341829 is MODIFIED and has a fix in selinux-policy-3.13.1-235.fc26 for about a month and a half, according to the changelog.  But bug 1419980 doesn't seem to be fixed.  I reached out to lvrabec to ask for a fix.  But I think this Change doesn't make sense to kick for a simple fix like this.  Let's instead ask FESCo to see how they could contribute to getting the Change in.
Comment 7 Michael Catanzaro 2017-03-10 12:28:50 EST
(In reply to Michael Catanzaro from comment #1)
> This change is fully complete.
> 
> However, it has exposed the following SELinux bugs:
> 
>  * Bug #1341829, which breaks systemd-coredump
>  * Bug #1419980, which breaks ABRT
> 
> Neither coredumpctl nor ABRT will function until fixes are released. Lukas
> Vrabec found simple solutions for both issues, but they have not yet been
> released in an selinux-policy-targeted update.

These bugs are reportedly both fixed in F26, so this feature is complete.

Note You need to log in before you can comment on or make changes to this bug.